Title 'ANZ18NLIN.sas   2002-1-15, 2004-7-1   Y.Takahahsi ' ;

data  d01 ;
    input  i dose n r  ;
	log_dose=log10(dose) ;
	x = log_dose ;
	p = r / n ;
	a=-7.620786  ; b=5.55944 ;
	eta = a + b * x ;
	pai = cdf('normal',eta-5) ;
	z   = pdf('normal',eta-5) ;
	w   = z**2/(pai*(1-pai)) ;
	nw  = n * w ;
	y   = eta + (p-pai) / z ;
datalines ;
1 101 10  0  
2 136 10  2  
3 183 10  5  
4 247 10  8  
5 333 10  9  
6 450 10 10  
;

proc print data=d01 ;
run ;

proc reg data=d01 ;
    model  y = x  ;
	weight nw ;
	run ;

data d02 ;
    set d01 ;
    a=-9.597819125 ; b=6.411320200 ;
	eta = a + b * x ;
	pai = cdf('normal',eta-5) ;
	z   = pdf('normal',eta-5) ;
	w   = z**2/(pai*(1-pai)) ;
	nw  = n * w ;
	y   = eta + (p-pai) / z ;
proc print data=d02 ;
run ;

proc reg data=d02 ;
    model  y = x  /  covb r ;
	weight nw ;
	run ;


proc logistic data=d01 ;
    model  r / n = x / link=probit technique=fisher covb ;
	run ;
